package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFieldMappingInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractFieldMappingInfo()
    {
        this("id");
    }
    protected AbstractFieldMappingInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.esign.FieldMappingEntryCollection());
    }
    /**
     * Object: 字段映射 's 分录 property 
     */
    public com.kingdee.eas.custom.esign.FieldMappingEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.esign.FieldMappingEntryCollection)get("entrys");
    }
    /**
     * Object:字段映射's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:字段映射's 名称property 
     */
    public String getName()
    {
        return getString("name");
    }
    public void setName(String item)
    {
        setString("name", item);
    }
    /**
     * Object: 字段映射 's 数据源 property 
     */
    public com.kingdee.eas.custom.entryconfig.DataConfigInfo getDataSource()
    {
        return (com.kingdee.eas.custom.entryconfig.DataConfigInfo)get("dataSource");
    }
    public void setDataSource(com.kingdee.eas.custom.entryconfig.DataConfigInfo item)
    {
        put("dataSource", item);
    }
    /**
     * Object: 字段映射 's e签宝 property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateInfo getESignFile()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateInfo)get("eSignFile");
    }
    public void setESignFile(com.kingdee.eas.custom.esign.ESignTemplateInfo item)
    {
        put("eSignFile", item);
    }
    /**
     * Object:字段映射's 数据接口 property 
     */
    public String getDataInterface()
    {
        return getString("dataInterface");
    }
    public void setDataInterface(String item)
    {
        setString("dataInterface", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("E3ED9C05");
    }
}